Subject: passwordless key-based ssh authentication to courier imapd

From: "Mark T. Valites" <[email-masked]>
Date: Wed, 10 Jul 2002 15:27:25 -0400 (EDT)

I apologize for the cross posting, but this is applicable to both lists.

Word from those higher above has it that we will be going to Maildir,
using courier imapd.  This is all good & grand.  However, we have a
handfull of extremely vocal users who use pine religously (this is not
bad - I love pine.  You can't get enable-aggregate-command-set in
outlook!).  After evaluating all the unoffical maildir patches, I have
decided that none of them quite meet our demands.  Using pine as an imap
client looks like the way to go.  However, that one little password
prompt will cause our group of pine users to go beZerk with a capital Z.
So, I started looking into passwordless authentication to localhost.

I came across Scott Leibrand's post at this site below:

http://www.washington.edu/pine/pine-info/1999.12/msg00170.html

And some similar information in the pine-info archives.
No luck with the courier archives.

All these assume the uw imap daemon.  In docs/tech_notes from the pine
source, the following information appears about creating an /etc/rimapd
symlink to the actualy imapd binary:

 With this configuration, the IMAP server runs without
   pre-authentication. Each new IMAP connection requires a correct
   username and password. IMAP can also be run with pre-authentication
   based on the standard _rsh_ mechanism. To enable this, the user
   account on the IMAP server must contain a valid file which grants
   access to the client machine. Enabling _rimap_ authentication is done
   by creating a link called /etc/rimapd to imapd. Basically, what is
   happening is that _Pine_ is taking advantage of the ability that rsh
   has to use privileged TCP ports so it doesn't have to run in
   privileged mode. If the rimap authentication fails it will drop back
   to plain password authentication.

I have successfully gotten this to work to my current uw imapd.  From the
manpage for (courier) imapd (debian woody), I see the following
information:

imapd may also be invoked from the shell prompt, in  which
       case  it  issues a PREAUTH response, then changes the cur
       rent directory to either its argument, or the contents  of
       the  MAILDIR  environment  variable, then attempts to talk
       IMAP on standard input and output.

which leads me to think I might be able to get this going similarily to
the uw post by Scott Leibrand.  However, all my attempts so far have
failed.

Is it possible to get passwdless, key based ssh authentication from pine
to courier imapd?

Thanks in advance,
-Mark

>--))> >--))>
Mark T. Valites
Unix Systems Analyst
1 College Circle - 124b1 South Hall
SUNY Geneseo
Geneseo, NY 14454
585-245-5577
585-259-3471 (Cell)
585-245-5579 (Fax)

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------